local lastPinged = {}
local notifyCooldown = 15

function WhoPinged_StartUp(self)
  DEFAULT_CHAT_FRAME:AddMessage("WhoPinged Loaded");

  self:RegisterEvent("MINIMAP_PING");

  SLASH_WHOPINGED1 = "/wp";
  SLASH_WHOPINGED2 = "/whopinged";
  SlashCmdList["WHOPINGED"] = function(msg)
    WhoPinged_SlashCommandHandler(msg);
  end
end

local function pingerPrint(playerName)
  local text = "Minimap Ping(s) by " .. playerName
  if (  difftime( time(), lastPinged[playerName] ) > notifyCooldown ) then
    lastPinged[playerName] = time();
    DEFAULT_CHAT_FRAME:AddMessage(text);
    UIErrorsFrame:AddMessage(text, 1.0, 1.0, 0, 1, 10) 
  end
end

function WhoPinged_OnEvent(self, event, ...)
  if (event == "MINIMAP_PING") then
    local arg1, arg2, arg3 = ...;
    local playerName = UnitName(arg1);
    pingerPrint(playerName);
    return;
  end
end


function WhoPinged_SlashCommandHandler(msg)
  if (msg == "0") then
    ReloadUI();
  end
end